# Class `awful.widget.common`

### Info:

- Copyright: 2008-2009 Julien Danjou
- Author: Julien Danjou <julien@danjou.info>

## Methods

awful.widget.common:create_buttons (buttons, object) | Common method to create buttons.
awful.widget.common:list_update (w, buttons, label, data, objects[, args={}]) | Common update method.

## Methods

awful.widget.common:create_buttons (buttons, object)
  Common method to create buttons.
  - buttons table
  - object

  ### Returns:

  table
awful.widget.common:list_update (w, buttons, label, data, objects[, args={}])
  Common update method.
  - w The widget.
  - buttons table
  - label function Function to generate label parameters from an object. The function gets passed an object from `objects`, and has to return `text`, `bg`, `bg_image`, `icon`.
  - data table Current data/cache, indexed by objects.
  - objects table Objects to be displayed / updated.
  - args table (default {})

generated by LDoc 1.5.0 Last updated 2025-09-26 21:04:17